Demo Discussion
Forum Config Examples Contributions Vulnerabilities
  Discussion forum about ELOG, Page 717 of 801  Not logged in ELOG logo
ID Date Icondown Author Author Email Category OS ELOG Version Subject
  65961   Thu Sep 4 20:49:59 2008 Idea Alan Stonealstone@fnal.govRequestLinuxV2.7.1-200Search Find Selected or List of Logbooks instead of all Logbooks.

I am using the CMS ELog remotely as a monitoring tool.  Information is compartementalized into dozens of containers.  I can create a find query URL, say last day, which then reloads every X minutes in Firefox.  When new ELog entries are made, then appear in the refresh and catch my attention.  But, my interests are somewhere between a single logbook and all logbooks.  If I choose all CMS logbooks for example for one day, I usually end up with > 200 entries. 

In short, I would like the ability to:

1) Select from the list of available logbooks when doing a search

2) Have more canned choices from smaller time frames, such as 1 hour or at least one shift (8 hours).

I do not see how to do this in the current elogd.cfg syntax instructions.

Thanks, Alan

  66012   Thu Oct 23 10:21:06 2008 Idea Grant Jeffcotegrant@jeffcote.orgQuestionWindows2.7.5Server derived time

Hi Stefan,

Is it possible to derive the time in a 'date/time' attribute from the Elog server?
We would like all our entries in GMT/UTC time and unfortunately as the time is currently derived from the client machines there are often entry descrepancies if the regional settings are not set correctly.

The '$entry time' variable can be used but seems to put a 1970 date in the field so bears no relevancy to an 'Event' time?

I'm also having issues with conditional entries in the Find page. If a conditional statement is used to hide attributes or change displayed attributes in the entry page then the attribute that is used in the conditional statement is not permanently selectable in the 'Find' page. It is available as a choice but as soon as selected the conditional action removes it? Is it possible to make conditional options/actions in the 'Find' page optional?

Hope that makes a little sense?

Many thanks

  66028   Thu Oct 30 09:44:25 2008 Idea T. Ribbrockemgaron+elog@ribbrock.orgQuestionAll2.7.5-2130Re: (How) can I hide columns in List view?

Thanks for the response! BTW: I did get a notification - but thanks for the "personal heads-up"!

Stefan Ritt wrote:

 Indeed you got something wrong. The conditional attributes are meant for the input form, so you can turn some attributes on and off or choose different options for an attribute depending on the value of another attribute.

[...]

 I see. In that case, could you maybe please give a quick explanation what "List conditions" is supposed to do? In conjunction with your statement above I'm now thoroughly confused as to what it should/could be used for...

Stefan Ritt wrote:

[...]

The only way I see how you can achieve what you want is to define two separate logbooks, but serve them from the same directory (via the "Data dir" option). Both logbooks should share the same attribute definition, but use different "List display" options.

 Ah, that's an idea - I'll look into that. Thanks a mil for the suggestion!

Regards,

Thomas

  66034   Wed Nov 5 11:52:12 2008 Idea T. Ribbrockemgaron+elog@ribbrock.orgInfoLinux2.7.5Re: Installation problems
> > 2) /etc/init.d/elogd: line 10: /etc/rc.d/init.d/functions: No such file or directory (I fixed this by commenting
> > out that line).
> > 
> > 3) Starting elogd: /etc/init.d/elogd: line 34: echo_success: command not found (Fixed by search/replace "echo_"
> > to "echo ").
> 
> The elogd (or elogd.init in the distribution) is written for RedHat based systems where echo_success gives the 
> typical output with a green [OK] at the end of the line. For Debian, there is (was) in principle a Debian package 
> which has it's own startup script. Since the package maintainer is not active any more (I guess), the Debian 
> updates are heavily old. Once elog gets managed inside Debian again, that should get better again, but until then 
> one has to follow 2) and 3) from above. If I would remove it, the Scientific Linux users would complain. 

I'm actually using elog on Debian and have been rolling my own ".deb" for a while now (starting with the old Debian
one and working my way up till 2.7.5). Maybe you could add the Debian /etc/init.d/elog script to the "contrib"
directory, with a suitable note in the README or something like that? That script has not changed in a long time and
is still functional - and doing so would make it easier for people who would like to install elog on a Debian (or
Debian-based, e.g. Ubuntu) system. I'll attach the script.

Regards,

Thomas
Attachment 1: elog
#!/bin/sh
# Init script for ELOG.
# Copyright © 2003, 2005  Recai Oktaş <roktas@omu.edu.tr>
#
# Licensed under the GNU General Public License, version 2.
# See the file `http://www.gnu.org/copyleft/gpl.txt'.

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/elogd
NAME=elogd
DESC="ELOG daemon"

test -f $DAEMON || exit 0

set -e

# Admin should be able to lock some options.
if [ -f /etc/default/elog ]; then
	. /etc/default/elog
fi

# To be in the safe side, the followings should be always defined.
PIDFILE=${PIDFILE:-/var/run/$NAME.pid}
CONFFILE=${CONFFILE:-/etc/elog.conf}

# Add the options to argument list only if defined previously.  Since
# some options may also be present in the conffile, we couldn't preset
# those options which would otherwise overwrite the settings in the
# conffile.  Also note that, all have reasonable compiled-in defaults.
ARGS="${PIDFILE+"-f $PIDFILE"}         \
      ${CONFFILE+"-c $CONFFILE"}       \
      ${LOGBOOKDIR+"-d $LOGBOOKDIR"}   \
      ${RESOURCEDIR+"-s $RESOURCEDIR"} \
      ${PORT+"-p $PORT"}               \
      ${HOST+"-n $HOST"}               \
      ${VERBOSE+"-v"}"
      
# Always run as a daemon.
ARGS=`echo $ARGS -D`

case "$1" in
	start)
		echo -n "Starting $DESC: "
		start-stop-daemon --start --quiet --pidfile $PIDFILE \
			--exec $DAEMON -- $ARGS 2>&1
		sleep 1
		if [ -f "$PIDFILE" ] && ps h `cat "$PIDFILE"` >/dev/null; then
			echo "$NAME."
		else
			echo "$NAME failed to start; check syslog for diagnostics."
			exit 1
		fi
		;;
	stop)
		echo -n "Stopping $DESC: $NAME"
		start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
			--exec $DAEMON -- $ARGS 2>&1
		echo "."
		;;
	reload)
		# Do nothing since ELOG daemon responds to 
		# the changes in conffile directly.
		;;
	restart|force-reload)
		$0 stop
		sleep 1
		$0 start
		if [ "$?" != "0" ]; then
			exit 1
		fi
		;;
	*)
		N=/etc/init.d/$NAME
		echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
		exit 1
		;;
esac

exit 0

# vim:ai:sts=8:sw=8:
  66044   Thu Nov 13 13:25:25 2008 Idea Steve WilliamsonStephenWilliamson@Barnsley.gov.ukRequestLinux2.7.5Sorting Museremail

Hi

I've just upgraded to 2.7.5 mainly because I wanted to have Museremail sorted.  We use this to list contacts on an RFC form and it's much easier to find the ones you want when they are in a predictable sequence.  As an extension to this it would be great if they could be sorted by the last part of their real name - typical user, give him a sweetie and he wants jam on it!

cheers

Steve

  66103   Tue Dec 9 00:25:52 2008 Idea Dennis Seitzdseitz@berkeley.eduRequestAll2.7.5Please add Subst on Duplicate

 I would like to be able to substitute some attribute values when an entry is duplicated. I don't see Subst on Duplicate available in the cfg file syntax. Can you add that?

 

Thanks

  66148   Tue Jan 13 00:14:37 2009 Idea Michael Ambrusambrmi09@gmail.comQuestionLinux2.7.5-2130Re: SMTP problems - Error sending Email via "smtp.glocalnet.net"

Michael Ambrus wrote:

Hello, I'm having problems with e-mail notifications.

When I try submitting a new post, I get the following error:

Error sending Email via "smtp.glocalnet.net"

The error message doesn't give a lot of hints...

My config file contains the following lines:

[global]
SMTP host = smtp.glocalnet.net
SMTP username = rhj764h@tninet.se
SMTP Password = xxx

...

[BugZ]

...

Email All = somebody@gmail.com
Use Email From = theproject@kato.homelinux.org

 

The password was created by invoking elogd with the -t option containing the true password. I've tried enter the correct password manually in the config, but the error message is the same.

Below follows a cut&paste of the console output when invoking with the -v option (addresses manually edited to avoid spam):

Email ALL to somebody@gmail.com

timezone: -3600, offset: 3600


Email from theproject@kato.homelinux.org to somebody@gmail.com, SMTP host smtp
.glocalnet.net:
220 mta3.glocalnet.net ESMTP Service ready
EHLO kato.homelinux.org
250-mta3.glocalnet.net
250-DSN
250-8BITMIME
250-PIPELINING
250-HELP
250-AUTH=LOGIN
250-AUTH LOGIN CRAM-MD5 PLAIN
250-X-CP-DELIVER-AFTER
250-DELIVERBY 300
250 SIZE
==== Return ================================
HTTP/1.1 302 Found
Server: ELOG HTTP 2.6.3-1762
Connection: Keep-Alive
Keep-Alive: timeout=60, max=10
Location: http://kato.homelinux.org/elog-tinker/BugZ/6?error=Error+sending+Email
+via+<i>"smtp.glocalnet.net"</i>
Content-Length: 20

I can't make any sense of this. Please advise.

Regards

/Michael Ambrus

 

 

 

 

 

 

An update:

I got rid of the version from the Ubuntu repo and installed the latest source release instead (2.7.5-2130).

 

The error is now a little bit different:

Error sending Email via "smtp.glocalnet.net": Syntax error in parameters or arguments to MAIL command

 

A snippet from the console output:

250-DELIVERBY 300
250 SIZE
AUTH LOGIN
`±è·    ♦Username:
cmhqNzY0aEB0bmluZXQuc2U=
Password:
ajh6N2E4
235 LOGIN authentication successful
MAIL FROM: theproject@kato.homelinux.org
501 Syntax error in parameters or arguments to MAIL command
==== Return ================================

 

BR /Michael

  66219   Sat Feb 21 23:08:54 2009 Idea David PilgramDavid.Pilgram@epost.org.ukRequestLinux2.7.5-2130Idea/Suggestion
Hi Stefan,

In the past I have requested the "mark whole thread" feature, not yet implimented.  At present, I 
edit (in my case) the icon on the first entry to indicate current status of the thread.  I have 
had an idea connected to this.

If you view a page, in threaded form, and collapsed, the header of the first entry of each thread is 
shown.  The order, however, is that of the timed order of the latest entry in that thread.


As an option, under the same circumstances (threaded, collapsed), if the header of the most recent 
entry was shown, then that could also be an indicator of closed thread, or of "marking whole thread" 
option (maybe would be enough for those who desire those features).  It also gives an indication of 
the current status of the thread without having to edit the original entry of the thread to edit 
(for example) the icon. 

Just a thought on how to improve a wonderful program ;-)
ELOG V3.1.5-3fb85fa6